﻿#pragma once

#include "afxwin.h"

#include "CC_ToolDoc.h"
#include "CC_ToolView.h"

// CInfoDlg ダイアログ

#define	MAX_PIXEL		288

class CCC_ToolView;

class CInfoDlg : public CDialog
{
	DECLARE_DYNAMIC(CInfoDlg)

public:
	CInfoDlg(CWnd* pParent = nullptr);   // 標準コンストラクター
	virtual ~CInfoDlg();
	CCC_ToolView* pView;
	double	comp[6];
	float		dark[2][MAX_PIXEL];
	float      wave[MAX_PIXEL];
	float		gain[MAX_PIXEL];

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOG_INFO };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	DECLARE_MESSAGE_MAP()
public:
	CListBox m_ctlList;
	afx_msg void OnBnClickedButtonInfoSave();
	virtual BOOL OnInitDialog();
};
